// Title:       Gestin de un videoclub
// Version:     1.0
// Copyright:   2005
// Author:      Fernando Berzal Galiano
// E-mail:      berzal@acm.org

import java.util.Vector;

public class Cliente 
{
  private String _nombre;
  private Vector _alquileres =new Vector();

  public Cliente (String nombre) 
  {
    _nombre = nombre;
  }

  public void nuevoAlquiler (Alquiler alquiler) 
  {
    _alquileres.add(alquiler);
  }

  public String getNombre() 
  {
    return _nombre;
  }

  public String informe() 
  {
    double      total;
    double      importe;
    int         puntos;
    int         i;
    Alquiler    alquiler;
    String      salida;
    

    total = 0;
    puntos = 0;
    salida = "Informe para " + getNombre() +  "\n";

    for (i=0; i<_alquileres.size(); i++) {

        importe  = 0;
        alquiler = (Alquiler) _alquileres.get(i);

        // Importe del alquiler

        switch (alquiler.getDVD().getTipo()) {

          case DVD.NORMAL:
               importe += 2;
               if (alquiler.getTiempo()>2)
                  importe += (alquiler.getTiempo()-2) * 1.5;
               break;  

          case DVD.NOVEDAD:
               importe += alquiler.getTiempo() * 3;
               break;

          case DVD.INFANTIL:
               importe += 1.5;
               if (alquiler.getTiempo()>3)
                  importe += (alquiler.getTiempo()-3) * 1.5;
               break;
        }

        // Programa de puntos

        puntos++;
        
        if ((alquiler.getDVD().getTipo() == DVD.NOVEDAD) && (alquiler.getTiempo()>1))
           puntos++;  // Bonificacin

        // Mostrar detalles del alquiler

        salida += "\t" + alquiler.getDVD().getTitulo()
                   + "\t" + String.valueOf(importe) + " euros\n";

        // Acumular total

        total += importe;
    }

    // Pie del recibo

    salida += "IMPORTE TOTAL = "+String.valueOf(total) + " euros\n";		
    
    salida += "Dispone de " + String.valueOf(puntos) + " puntos\n";

    return salida;
  }
}