import junit.framework.*;  

public class AlquilerTest extends TestCase 
{
  private Cliente  cliente;
  private DVD      casablanca;
  private DVD      indy;
  private DVD      shrek;
  private Alquiler alquiler;

  // Infraestructura

  public static void main(String args[]) 
  {   
    junit.swingui.TestRunner.main (  
          new String[] {"AlquilerTest"});  
  } 

  public AlquilerTest(String name) 
  { 
    super(name); 
  } 

  // Inicializacin comn para los casos de prueba

  public void setUp ()
  {
    cliente    = new Cliente("Kane");
    casablanca = new DVD("Casablanca",         DVD.NORMAL);
    indy       = new DVD("Indiana Jones XIII", DVD.NOVEDAD);
    shrek      = new DVD("Shrek",              DVD.INFANTIL);
  }

  // Casos de prueba

  public void testNormal1 ()
  {
    alquiler = new Alquiler(casablanca,1);
    assertEquals( cliente.precio(alquiler), 2.0, 0.001);
  }

  public void testNormal2 ()
  {
    alquiler = new Alquiler(casablanca,2);
    assertEquals( cliente.precio(alquiler), 2.0, 0.001);
  }

  public void testNormal3 ()
  {
    alquiler = new Alquiler(casablanca,3);
    assertEquals( cliente.precio(alquiler), 3.5, 0.001);
  }

  public void testNormal7 ()
  {
    alquiler = new Alquiler(casablanca,7);
    assertEquals( cliente.precio(alquiler), 9.5, 0.001);
  }


  public void testNovedad1 ()
  {
    alquiler = new Alquiler(indy,1);
    assertEquals( cliente.precio(alquiler), 3.0, 0.001);
  }

  public void testNovedad2 ()
  {
    alquiler = new Alquiler(indy,2);
    assertEquals( cliente.precio(alquiler), 6.0, 0.001);
  }

  public void testNovedad3 ()
  {
    alquiler = new Alquiler(indy,3);
    assertEquals( cliente.precio(alquiler), 9.0, 0.001);
  }


  public void testInfantil1 ()
  {
    alquiler = new Alquiler(shrek,1);
    assertEquals( cliente.precio(alquiler), 1.5, 0.001);
  }

  public void testInfantil3 ()
  {
    alquiler = new Alquiler(shrek,3);
    assertEquals( cliente.precio(alquiler), 1.5, 0.001);
  }

  public void testInfantil4 ()
  {
    alquiler = new Alquiler(shrek,4);
    assertEquals( cliente.precio(alquiler), 3.0, 0.001);
  }

  public void testInfantil7 ()
  {
    alquiler = new Alquiler(shrek,7);
    assertEquals( cliente.precio(alquiler), 7.5, 0.001);
  }
}
