// Title:       Gestin de un videoclub
// Version:     1.0
// Copyright:   2005
// Author:      Fernando Berzal Galiano
// E-mail:      berzal@acm.org

public class Alquiler 
{
  private DVD _dvd;
  private int _tiempo; 

  public Alquiler (DVD dvd, int tiempo)
  {
    _dvd = dvd;
    _tiempo = tiempo;
  }

  public int getTiempo()
  {
    return _tiempo;
  }

  public DVD getDVD() 
  {
    return _dvd;
  }

  // Importe del alquiler

  public double getPrecio ()
  {
    double importe = 0;

    switch (getDVD().getTipo()) {

      case DVD.NORMAL:
           importe += 2;
           if (getTiempo()>2)
              importe += (getTiempo()-2) * 1.5;
           break;  

      case DVD.NOVEDAD:
           importe += getTiempo() * 3;
           break;

      case DVD.INFANTIL:
           importe += 1.5;
           if (getTiempo()>3)
              importe += (getTiempo()-3) * 1.5;
           break;
    }

    return importe;
  }
}
