// Title:       Gestin de un videoclub
// Version:     1.0
// Copyright:   2005
// Author:      Fernando Berzal Galiano
// E-mail:      berzal@acm.org

import java.util.Vector;

public class Cliente 
{
  private String _nombre;
  private Vector _alquileres =new Vector();

  public Cliente (String nombre) 
  {
    _nombre = nombre;
  }

  public void nuevoAlquiler (Alquiler alquiler) 
  {
    _alquileres.add(alquiler);
  }

  public String getNombre() 
  {
    return _nombre;
  }

  public String informe() 
  {
    double      total;
    double      importe;
    int         puntos;
    int         i;
    Alquiler    alquiler;
    String      salida;  

    total = 0;
    puntos = 0;
    salida = "Informe para " + getNombre() +  "\n";

    for (i=0; i<_alquileres.size(); i++) {

        alquiler = (Alquiler) _alquileres.get(i);
        importe  = alquiler.getPrecio();
        puntos  += alquiler.getPuntos();

        // Mostrar detalles del alquiler

        salida += "\t" + alquiler.getDVD().getTitulo()
                   + "\t" + String.valueOf(importe) + " euros\n";

        // Acumular total

        total += importe;
    }

    // Pie del recibo

    salida += "IMPORTE TOTAL = "+String.valueOf(total) + " euros\n";		
    
    salida += "Dispone de " + String.valueOf(puntos) + " puntos\n";

    return salida;
  }



}