// Title:       Gestin de un videoclub
// Version:     1.0
// Copyright:   2005
// Author:      Fernando Berzal Galiano
// E-mail:      berzal@acm.org

import java.util.Vector;

public class Cliente 
{
  private String _nombre;
  private Vector _alquileres =new Vector();

  public Cliente (String nombre) 
  {
    _nombre = nombre;
  }

  public void nuevoAlquiler (Alquiler alquiler) 
  {
    _alquileres.add(alquiler);
  }

  public String getNombre() 
  {
    return _nombre;
  }

  public String informe() 
  {
    int         i;
    Alquiler    alquiler;
    String      salida;  

    salida = "Informe para " + getNombre() + "\n";

    for (i=0; i<_alquileres.size(); i++) {

        alquiler = (Alquiler) _alquileres.get(i);

        salida += "\t" + alquiler.getDVD().getTitulo()
                + "\t" + String.valueOf(alquiler.getPrecio()) + " euros\n";
    }

    salida += "IMPORTE TOTAL = "+String.valueOf(getImporteTotal()) + " euros\n";		
    
    salida += "Dispone de " + String.valueOf(getPuntos()) + " puntos\n";

    return salida;
  }

  public int getPuntos() 
  {
    int         puntos;
    int         i;
    Alquiler    alquiler;

    puntos = 0;

    for (i=0; i<_alquileres.size(); i++) {
        alquiler = (Alquiler) _alquileres.get(i);
        puntos  += alquiler.getPuntos();
    }

    return puntos;
  }


  public double getImporteTotal ()
  {
    double      total;
    int         i;
    Alquiler    alquiler;

    total = 0;

    for (i=0; i<_alquileres.size(); i++) {
        alquiler = (Alquiler) _alquileres.get(i);
        total   += alquiler.getPrecio();
    }

    return total;
  }



}