// Title:       Gestin de un videoclub
// Version:     1.0
// Copyright:   2005
// Author:      Fernando Berzal Galiano
// E-mail:      berzal@acm.org

public class DVD
{
  public static final int INFANTIL = 2;
  public static final int NORMAL   = 0;
  public static final int NOVEDAD  = 1;

  private String _titulo;
  private int    _tipo;

  public DVD (String titulo, int tipo) 
  {
    _titulo = titulo;
    _tipo   = tipo;
  }
 
  public int getTipo() 
  {
    return _tipo;
  }

  public void setTipo (int tipo) 
  {
    _tipo = tipo;
  }

  public String getTitulo ()
  {
    return _titulo;
  }


  public double getPrecio (int tiempo)
  {
    double importe = 0;

    switch (getTipo()) {

      case DVD.NORMAL:
           importe += 2;
           if (tiempo>2)
              importe += (tiempo-2) * 1.5;
           break;  

      case DVD.NOVEDAD:
           importe += tiempo * 3;
           break;

      case DVD.INFANTIL:
           importe += 1.5;
           if (tiempo>3)
              importe += (tiempo-3) * 1.5;
           break;
    }

    return importe;
  }



  public String toString ()
  {
    return getTitulo();
  }
}

