// Title:       Gestin de un videoclub
// Version:     1.0
// Copyright:   2005
// Author:      Fernando Berzal Galiano
// E-mail:      berzal@acm.org

public class DVD
{
  public static final int INFANTIL = 2;
  public static final int NORMAL   = 0;
  public static final int NOVEDAD  = 1;

  private String _titulo;
  private Tarifa _tarifa;

  public DVD (String titulo, int tipo) 
  {
    _titulo = titulo;

    setTipo(tipo);
  }
 
  public int getTipo() 
  {
    return _tarifa.getTipo();
  }

  public void setTipo (int tipo) 
  {
    switch (tipo) {

      case DVD.NORMAL:
           _tarifa = new TarifaNormal();
           break;  

      case DVD.NOVEDAD:
           _tarifa = new TarifaEstreno();
           break;

      case DVD.INFANTIL:
           _tarifa = new TarifaInfantil();
           break;
    }
  }

  public String getTitulo ()
  {
    return _titulo;
  }


  public double getPrecio (int tiempo)
  {
    return _tarifa.getPrecio(tiempo);
  }


  public int getPuntos (int tiempo)
  {
    int puntos = 1;

    // Bonificacin
        
    if ((getTipo() == DVD.NOVEDAD) && (tiempo>1))
       puntos++;
    
    return puntos;
  }


  public String toString ()
  {
    return getTitulo();
  }
}

