// Title:       Gestin de un videoclub
// Version:     1.0
// Copyright:   2005
// Author:      Fernando Berzal Galiano
// E-mail:      berzal@acm.org

public abstract class Tarifa
{
  public abstract int getTipo ();

  public abstract double getPrecio (int tiempo);
}


class TarifaNormal extends Tarifa
{
  public int getTipo()
  {
    return DVD.NORMAL;
  }

  public double getPrecio (int tiempo)
  {
    double importe = 2.0;
    
    if (tiempo>2)
       importe += (tiempo-2) * 1.5;

    return importe;
  }
}


class TarifaInfantil extends Tarifa
{
  public int getTipo()
  {
    return DVD.INFANTIL;
  }

  public double getPrecio (int tiempo)
  {
    double importe = 1.5;

    if (tiempo>3)
       importe += (tiempo-3) * 1.5;

    return importe;
  }
}


class TarifaEstreno extends Tarifa
{
  public int getTipo()
  {
    return DVD.NOVEDAD;
  }

  public double getPrecio (int tiempo)
  {
    return tiempo * 3.0;
  }

}
